import { MeterProvider, MetricReader } from '@opentelemetry/sdk-metrics';
import { MetricClient } from './MetricClient';
export declare class OTLPClient extends MetricClient {
    protected meterProvider: MeterProvider;
    protected metricReader: MetricReader;
    private meter;
    private createdGauges;
    private createdCounters;
    private createdHistograms;
    constructor(hostname: string, portNumber: number, isEnabled?: boolean, mock?: boolean);
    gaugeImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    counterImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    timeImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    histogramImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    protected mapAttributesToTags(attributes: Record<string, string> | undefined): Record<string, string>;
    private sanitizeAttributes;
}
